Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.rmic
Class WLRmic

    java.lang.Object
      org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
          org.apache.tools.ant.taskdefs.rmic.WLRmic

All Implemented Interfaces:
  RmicAdapter

public class WLRmic
extends DefaultRmicAdapter

The implementation of the rmic for WebLogic

Since:
  Ant 1.4
Author:
  Takashi Okamoto

Constructor Summary
`WLRmic()`

Method Summary
`boolean` | `execute()` Executes the task.
`java.lang.String` | `getSkelClassSuffix()` Get the suffix for the rmic skeleton classes
`java.lang.String` | `getStubClassSuffix()` Get the suffix for the rmic stub classes

Methods inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
`getClasspath, getCompileClasspath, getMapper, getRmic, getTieClassSuffix, logAndAddFilesToCompile, setRmic, setupRmicCommand, setupRmicCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLRmic

    public WLRmic()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Description copied from interface: `RmicAdapter`
  Executes the task.

  Returns:
    has the compilation been successful
  Throws:
    `BuildException`

### getStubClassSuffix

    public java.lang.String getStubClassSuffix()

  Get the suffix for the rmic stub classes

  Overrides:
    `getStubClassSuffix` in class `DefaultRmicAdapter`

### getSkelClassSuffix

    public java.lang.String getSkelClassSuffix()

  Get the suffix for the rmic skeleton classes

  Overrides:
    `getSkelClassSuffix` in class `DefaultRmicAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.